Bug 13538 - samba-tool trust: support discovery via netr_GetDcName
samba-tool trust: support discovery via netr_GetDcName
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.9.0rc1
All All
: P5 normal
: 4.9
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-19 06:36 UTC by Stefan Metzmacher
Modified: 2018-08-14 11:12 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-9-test (4.70 KB, patch)
2018-07-26 10:14 UTC, Stefan Metzmacher
ab: review+
Details
Patch for v4-8-test (4.70 KB, patch)
2018-07-26 10:15 UTC, Stefan Metzmacher
ab: review+
Details
Patch for v4-7-test (4.70 KB, patch)
2018-07-26 10:16 UTC, Stefan Metzmacher
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-07-19 06:36:31 UTC
FreeIPA does not implement netr_DsRGetDCNameEx2() in a way that can be used by `samba-tool`, so a DC search fails when running `samba-tool domain trust create`.
Comment 1 Stefan Metzmacher 2018-07-26 10:14:34 UTC
Created attachment 14341 [details]
Patch for v4-9-test
Comment 2 Stefan Metzmacher 2018-07-26 10:15:14 UTC
Created attachment 14342 [details]
Patch for v4-8-test
Comment 3 Stefan Metzmacher 2018-07-26 10:16:07 UTC
Created attachment 14343 [details]
Patch for v4-7-test
Comment 4 Alexander Bokovoy 2018-07-26 10:43:06 UTC
Comment on attachment 14341 [details]
Patch for v4-9-test

LGTM
Comment 5 Alexander Bokovoy 2018-07-26 10:43:33 UTC
Comment on attachment 14342 [details]
Patch for v4-8-test

LGTM
Comment 6 Alexander Bokovoy 2018-07-26 10:43:51 UTC
Comment on attachment 14343 [details]
Patch for v4-7-test

LGTM
Comment 7 Karolin Seeger 2018-07-28 03:53:56 UTC
Pushed to autobuild-v4-{9,8,7}-test.
Comment 8 Alexander Bokovoy 2018-08-13 13:39:02 UTC
Karolin, I do not see these patches in v4-8-test
Comment 9 Karolin Seeger 2018-08-14 06:56:12 UTC
(In reply to Alexander Bokovoy from comment #8)
04a8995fd0b

Pushed to autobuild means, it can fail (and regularly does). That's why I go again through the bugs and close them after verifying the patches ended up in the test branches.
Comment 10 Karolin Seeger 2018-08-14 11:12:28 UTC
Pushed to all branches.
Closing out bug report.

Thanks!